/*
    2009 - Copyright by Bee <http://www.honeybeenet.altervista.org>.
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/



var beefree_websites_array = new Array();

function beefree_website_count()
{
    return beefree_websites_array.length;
}

//for(var i = beefree_website_fetch_init(); beefree_website_fetch_test(++i);)
function beefree_website_fetch_init()
{
    return -1;
}

function beefree_website_fetch_test(i)
{
    return i >= 0 && i < beefree_website_count();
}

function beefree_website_replace(i, data)
{
    beefree_websites_array[i] = data;
}

function beefree_website_add(data)
{
    beefree_websites_array[beefree_website_count()] = data;
}

function beefree_website_get(i)
{
    return (i < 0 || i >= beefree_website_count()) ? null : beefree_websites_array[i];
}

function beefree_website_get_info(i, name)
{
    var data = beefree_website_get(i);
    return data == null ? null : data[name];
}

function beefree_website_get_info_with_error(i, name, on_error)
{
    var info = beefree_website_get_info(i, name)
    return info == null ? on_error : info;
}

function beefree_website_find(name, is_value)
{
    var i = beefree_website_fetch_init();
    while(beefree_website_fetch_test(++i))
        if(beefree_website_get_info(i, name) == is_value)
            return i;
    return -1;
}

