/*
    2009 - Copyright by Bee <http://www.honeybeenet.altervista.org>.
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

function beefree_w_google_domain(selfIndex, stack)
{
    //case insensitive (i), global (g), multiline (m) (gmi)
    var address = stack["address"];
    var regexp = /(\/\/|\.)google\.(museum|aero|arpa|coop|info|name|biz|com|edu|gov|int|mil|net|org|pro|ac|ad|ae|af|ag|ai|al|am|an|ao|aq|ar|as|at|au|aw|az|ba|bb|bd|be|bf|bg|bh|bi|bj|bm|bn|bo|br|bs|bt|bv|bw|by|bz|ca|cc|cd|cf|cg|ch|ci|ck|cl|cm|cn|co|cr|cu|cv|cx|cy|cz|de|dj|dk|dm|do|dz|ec|ee|eg|er|es|et|fi|fj|fk|fm|fo|fr|ga|gb|gd|ge|gf|gg|gh|gi|gl|gm|gn|gp|gq|gr|gs|gt|gu|gw|gy|hk|hm|hn|hr|ht|hu|id|ie|il|im|in|io|iq|ir|is|it|je|jm|jo|jp|ke|kg|kh|ki|km|kn|kr|kw|ky|kz|la|lb|lc|li|lk|lr|ls|lt|lu|lv|ly|ma|mc|md|mg|mh|mk|ml|mm|mn|mo|mp|mq|mr|ms|mt|mu|mv|mw|mx|my|mz|na|nc|ne|nf|ng|ni|nl|no|np|nr|nu|nz|om|pa|pe|pf|pg|ph|pk|pl|pm|pn|pr|ps|pt|pw|py|qa|re|ro|ru|rw|sa|sb|sc|sd|se|sg|sh|si|sj|sk|sl|sm|sn|so|sr|st|su|sv|sy|sz|tc|td|tf|tg|th|tj|tk|tm|tn|to|tp|tr|tt|tv|tw|tz|ua|ug|uk|um|us|uy|uz|va|vc|ve|vg|vi|vn|vu|wf|ws|ye|yt|yu|za|zm|zw)\//gmi;
    return beefree_regexp_test(address, regexp);
}

function beefree_w_google_host(selfIndex, stack)
{
    var hostname = stack["hostname"];
    var regexp = /google\.(museum|aero|arpa|coop|info|name|biz|com|edu|gov|int|mil|net|org|pro|ac|ad|ae|af|ag|ai|al|am|an|ao|aq|ar|as|at|au|aw|az|ba|bb|bd|be|bf|bg|bh|bi|bj|bm|bn|bo|br|bs|bt|bv|bw|by|bz|ca|cc|cd|cf|cg|ch|ci|ck|cl|cm|cn|co|cr|cu|cv|cx|cy|cz|de|dj|dk|dm|do|dz|ec|ee|eg|er|es|et|fi|fj|fk|fm|fo|fr|ga|gb|gd|ge|gf|gg|gh|gi|gl|gm|gn|gp|gq|gr|gs|gt|gu|gw|gy|hk|hm|hn|hr|ht|hu|id|ie|il|im|in|io|iq|ir|is|it|je|jm|jo|jp|ke|kg|kh|ki|km|kn|kr|kw|ky|kz|la|lb|lc|li|lk|lr|ls|lt|lu|lv|ly|ma|mc|md|mg|mh|mk|ml|mm|mn|mo|mp|mq|mr|ms|mt|mu|mv|mw|mx|my|mz|na|nc|ne|nf|ng|ni|nl|no|np|nr|nu|nz|om|pa|pe|pf|pg|ph|pk|pl|pm|pn|pr|ps|pt|pw|py|qa|re|ro|ru|rw|sa|sb|sc|sd|se|sg|sh|si|sj|sk|sl|sm|sn|so|sr|st|su|sv|sy|sz|tc|td|tf|tg|th|tj|tk|tm|tn|to|tp|tr|tt|tv|tw|tz|ua|ug|uk|um|us|uy|uz|va|vc|ve|vg|vi|vn|vu|wf|ws|ye|yt|yu|za|zm|zw)/gmi;
    var regexp1 = /(googlesyndication|gstatic|ytimg|google-analytics|ggpht)\.com/gmi;
    return beefree_regexp_test(hostname, regexp) || 
           beefree_regexp_test(hostname, regexp1);
}

function beefree_w_google_replace(selfIndex, stack)
{
    var address = stack["address"];
    var current_page = stack["current_page"];
    //http://www.google.com/url?blah=blah blah
    var URL1=/(\/\/|\.)google\.(museum|aero|arpa|coop|info|name|biz|com|edu|gov|int|mil|net|org|pro|ac|ad|ae|af|ag|ai|al|am|an|ao|aq|ar|as|at|au|aw|az|ba|bb|bd|be|bf|bg|bh|bi|bj|bm|bn|bo|br|bs|bt|bv|bw|by|bz|ca|cc|cd|cf|cg|ch|ci|ck|cl|cm|cn|co|cr|cu|cv|cx|cy|cz|de|dj|dk|dm|do|dz|ec|ee|eg|er|es|et|fi|fj|fk|fm|fo|fr|ga|gb|gd|ge|gf|gg|gh|gi|gl|gm|gn|gp|gq|gr|gs|gt|gu|gw|gy|hk|hm|hn|hr|ht|hu|id|ie|il|im|in|io|iq|ir|is|it|je|jm|jo|jp|ke|kg|kh|ki|km|kn|kr|kw|ky|kz|la|lb|lc|li|lk|lr|ls|lt|lu|lv|ly|ma|mc|md|mg|mh|mk|ml|mm|mn|mo|mp|mq|mr|ms|mt|mu|mv|mw|mx|my|mz|na|nc|ne|nf|ng|ni|nl|no|np|nr|nu|nz|om|pa|pe|pf|pg|ph|pk|pl|pm|pn|pr|ps|pt|pw|py|qa|re|ro|ru|rw|sa|sb|sc|sd|se|sg|sh|si|sj|sk|sl|sm|sn|so|sr|st|su|sv|sy|sz|tc|td|tf|tg|th|tj|tk|tm|tn|to|tp|tr|tt|tv|tw|tz|ua|ug|uk|um|us|uy|uz|va|vc|ve|vg|vi|vn|vu|wf|ws|ye|yt|yu|za|zm|zw)\/(|news\/)url\?/gmi;
    var URL2=/^(\/(|news\/)url\?)/gmi;// /url? at the beginning of a string only (^)
    var URL3=/(\/\/|\.)google\.(museum|aero|arpa|coop|info|name|biz|com|edu|gov|int|mil|net|org|pro|ac|ad|ae|af|ag|ai|al|am|an|ao|aq|ar|as|at|au|aw|az|ba|bb|bd|be|bf|bg|bh|bi|bj|bm|bn|bo|br|bs|bt|bv|bw|by|bz|ca|cc|cd|cf|cg|ch|ci|ck|cl|cm|cn|co|cr|cu|cv|cx|cy|cz|de|dj|dk|dm|do|dz|ec|ee|eg|er|es|et|fi|fj|fk|fm|fo|fr|ga|gb|gd|ge|gf|gg|gh|gi|gl|gm|gn|gp|gq|gr|gs|gt|gu|gw|gy|hk|hm|hn|hr|ht|hu|id|ie|il|im|in|io|iq|ir|is|it|je|jm|jo|jp|ke|kg|kh|ki|km|kn|kr|kw|ky|kz|la|lb|lc|li|lk|lr|ls|lt|lu|lv|ly|ma|mc|md|mg|mh|mk|ml|mm|mn|mo|mp|mq|mr|ms|mt|mu|mv|mw|mx|my|mz|na|nc|ne|nf|ng|ni|nl|no|np|nr|nu|nz|om|pa|pe|pf|pg|ph|pk|pl|pm|pn|pr|ps|pt|pw|py|qa|re|ro|ru|rw|sa|sb|sc|sd|se|sg|sh|si|sj|sk|sl|sm|sn|so|sr|st|su|sv|sy|sz|tc|td|tf|tg|th|tj|tk|tm|tn|to|tp|tr|tt|tv|tw|tz|ua|ug|uk|um|us|uy|uz|va|vc|ve|vg|vi|vn|vu|wf|ws|ye|yt|yu|za|zm|zw)\/aclk\?/gmi;
    //If needed, add the missing domains!
    var is_ok = (beefree_is_hyperlink(address) && !beefree_is_anchor_magic(address, current_page)) && 
                (beefree_substr_test(address, "q=")  || beefree_substr_test(address, "url=")) &&
                (beefree_regexp_test(address, URL1) || beefree_regexp_test(address, URL2) || beefree_regexp_test(address, URL3));
    if (is_ok)
    {
        var done = false;
        var address_new = "";
        address_new = beefree_query_get_and_translate_address(address, "q", false);
        if(!done && address_new != address)
        {
            done = true;
            address = address_new;
        }
        address_new = beefree_query_get_and_translate_address(address, "url", true);
        if(!done && address_new != address)
        {
            done = true;
            address = address_new;
        }
    }
    return address;
}

function beefree_w_google_accept(selfIndex, stack)
{
    var address = stack["address"];
    var current_page = stack["current_page"];
    return beefree_is_hyperlink(address) && 
            !beefree_is_protocol(address, "javascript:") &&
            !beefree_is_anchor_magic(address, current_page) &&
            !beefree_is_anchor(address);
}

function beefree_w_google_confirm(selfIndex, stack)
{
    var address = stack["address"];
    var address_original = stack["address_original"];
    var current_page = stack["current_page"];
    return !((beefree_website_get(selfIndex)["test.domain"])(selfIndex, stack)) || address != address_original ||
            beefree_host_from_address(address) != beefree_host_from_address(current_page);
}

(function(){
    var data = new Array();
    data["enabled"] = true;
    data["system"] = true;
    data["version"] = 1;
    data["name"] = "Google";
    data["test.host"] = beefree_w_google_host;
    data["test.domain"] = beefree_w_google_domain;
    data["referer.remove"] = true;
    data["useragent.remove"] = true;
    data["links.remove"] = true;
    data["links.recursion"] = true;
    data["links.metaengine"] = false;
    data["links.onload"] = true;
    data["links.ignoredomain"] = false;
    data["links.function.accept"] = beefree_w_google_accept;
    data["links.function.replace"] = beefree_w_google_replace;
    data["links.function.confirm"] = beefree_w_google_confirm;
    beefree_h_script_add(data);
})();


